/*
 * This is a manifest file that'll be compiled into application.css, which will include all the files
 * listed below.
 *
 * Any CSS and SCSS file within this directory, lib/assets/stylesheets, or any plugin's
 * vendor/assets/stylesheets directory can be referenced here using a relative path.
 *
 * You're free to add application-wide styles to this file and they'll appear at the bottom of the
 * compiled file so the styles you add here take precedence over styles defined in any other CSS/SCSS
 * files in this directory. Styles in this file should be added after the last require_* statement.
 * It is generally better to create a new file per style scope.
 *
 *= require_tree .
 *= require_self
 */

 body {
   font-family: Tahoma, sans-serif;
   background-color: #ffffff;
   color: #333333;
   h1 {
     font-family: 'American Typewriter', sans-serif;
     font-size: 36px;
     font-weight: bold;
   }
 }

 .header {
   height: 92px;
   background-image: linear-gradient(-180deg, #76AFD8 0%, #4a90e2 100%);
   border: 1px solid #979797;
   img {
     height: 66px;
     width: 66px;
     display: inline;
     vertical-align: middle;
     margin-left: 36px;
     margin-right: 20px;
   }
   h1 {
     display: inline;
     vertical-align: middle;
     line-height: 96px;
     color: #ffffff;
   }
 }

 .content {
   background: #f5f5f5;
   border: 1px solid #979797;
   box-shadow: 0 2px 4px 0 rgba(0,0,0,0.50);
   border-radius: 8px;
   padding: 20px 40px 30px;
   margin: 5px 230px 50px 230px;
   min-height: 500px;

   .image-uploader {
     h1 {
       text-align: center;
     }
     .alert {
       display: none;
       width: 330px;
       margin: auto;
       margin-top: 20px;

       &.uploading {
         color: #ffa500;
       }
       &.success {
         color: #5eba7d;
       }
       &.error {
         color: #da1e1e;
       }
     }
     .uploader-zone {
       background: #fefef6;
       width: 270px;
       padding: 30px;
       margin: 30px auto 20px;
       border: 2px solid #1d5f9b;
       border-radius: 8px;

       #attachement {
         display: none;
       }

       span {
         display: block;
         text-align: center;
         font-weight: bold;
         font-size: 14px;
         margin: 0 0 10px;
       }
       img {
         display: block;
         margin: 15px auto;
       }
       label {
         display: block;
         text-align: center;
         cursor: pointer;
         font-weight: bold;
         font-size: 14px;
         color: #1D5F9B;
         text-decoration: underline;
       }
     }

     .submit-btn {
       background-image: linear-gradient(-180deg, #76Afd8 0%, #4A90e2 100%);
       border: 2px solid #1D5F9B;
       border-radius: 8px;
       font-weight: bold;
       font-size: 14px;
       color: #ffffff;
       display: block;
       margin: auto;
       padding: 15px 35px;
       cursor: pointer;
     }
   }

   .images-container {
     h1 {
       margin: 35px 0;
     }
     .images-list {
       &::after{
         content: "";
         display: table;
         clear: both;
       }
       .image-card {
         display: inline-block;
         float: left;
         width: 25%;

         .card-content {
           position: relative;
           width: 100%;
           height: 125px;

           div {
             background-size: cover;
             position: absolute;
             right: 10px;
             width: calc(100% - 20px);
             height: 100%;
             overflow: hidden;

             span {
               position: absolute;

               &.delete-btn {
                 top: 0;
                 right: 0;
                 cursor: pointer;

                 img {
                   max-width: 20px;
                 }
               }

               &.views-number {
                 display: block;
                 background: rgba(0, 0, 0, 0.7);
                 font-size: 12px;
                 color: #fff;
                 padding: 5px;
                 width: 140px;
                 bottom: 0;
               }
             }
           }
         }
         .image-link {
           background: #fff;
           font-size: 12px;
           padding: 5px;
           margin: 15px 10px;
           border: 1px solid #979797;
           cursor: pointer;
           width: calc(100% - 30px);
         }
       }
     }
   }

 }

#tooltip {
  display: none;
  position: absolute;
  top: calc(50% - 20px);
  left: calc(50% - 115px);
  height: 40px;
  width: 210px;
  text-align: center;
  color: #ffffff;
  line-height: 40px;
  background-color: rgba(0, 0, 0, 0.8);
  border-radius: 8px;
  font-weight: bold;
}
